<?php

namespace Modules\City\Interfaces;

use Illuminate\Http\Request;
use Modules\City\Models\City;

interface CityRepositoryInterface
{
    public function get(Request $request);
    public function getItem(City $country);
    public function save(Request $request, ?City $country): City;
    public function destroy(Request $request, int $id): array;
    public function destroyAll(Request $request): array;
    public function restore(Request $request, int $id): array;
    public function restoreAll(Request $request): array;
}
